## zita-mu1 0.2.0

=== source/Makefile ===
# ----------------------------------------------------------------------
#
#  Copyright (C) 2010 Fons Adriaensen <fons@linuxaudio.org>
#    
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# ----------------------------------------------------------------------


PROGRAM = zita-mu1
VERSION = 0.2.0
PREFIX = /usr/local
SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
LIBDIR = lib$(SUFFIX)
SHARED = $(PREFIX)/share/$(PROGRAM)
CPPFLAGS += -O3 -Wall -MMD -MP -DPROGRAM=\"$(PROGRAM)\" -DVERSION=\"$(VERSION)\" -DSHARED=\"$(SHARED)\"
CPPFLAGS += -march=native


all:	zita-mu1


ZITA-MU1_O = zita-mu1.o styles.o mainwin.o jclient.o png2img.o button.o rotary.o guiclass.o \
	kmeter.o cmeter.o kmeterdsp.o cmeterdsp.o 

zita-mu1:	CPPFLAGS += -I/usr/include/freetype2
zita-mu1:	LDLIBS += -lsndfile -lclxclient -lclthreads -ljack -lpthread -lcairo -lpng -lXft -lX11 -lrt
zita-mu1:	LDFLAGS += -L/usr/X11R6/lib
zita-mu1:	$(ZITA-MU1_O)
	g++ $(LDFLAGS) -o $@ $(ZITA-MU1_O) $(LDLIBS)

$(ZITA-MU1_O):
-include $(ZITA-MU1_O:%.o=%.d)


install:	all
	install -m 755 zita-mu1 $(PREFIX)/bin
	install -d $(SHARED)
	install -m 644 ../share/*.png $(SHARED)


clean:
	/bin/rm -f *~ *.o *.a *.d *.so
	/bin/rm -f zita-mu1

=== debian/changelog ===
zita-mu1 (0.2.0-2) unstable; urgency=low

  * Added Keywords entry to desktop file.
  * Tighten build-dep libclxclient.
  * Don't sign tags.
  * Added local-options file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 06 Aug 2013 19:47:29 +0200

zita-mu1 (0.2.0-1) unstable; urgency=low

  * Initial release (Closes: #704576)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 03 Apr 2013 04:52:16 +0200

=== debian/control ===
Source: zita-mu1
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 binutils,
 debhelper (>= 9),
 libcairo2-dev,
 libclthreads-dev (>= 2.4.0),
 libclxclient-dev (>= 3.9.0),
 libjack-dev,
 libpng-dev,
 libsndfile1-dev
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/zita-mu1.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/zita-mu1.git
Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/zita-mu1-doc/quickguide.html

Package: zita-mu1
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: organise stereo monitoring for Jack Audio Connection Kit
 zita-mu1 is a simple Jack application used to organise stereo monitoring.
 .
 Main features:
  - Four stereo inputs.
  - K20 RMS/peak meters and stereo correlation meter.
  - Two monitoring outputs with individual volume controls.
  - Left / Right / Mono and Dim swithes.
  - Output of unmodified selected input, e.g. for metering.
  - Talkback level controls and buttons with automatic dimming of speakers.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

LDFLAGS+=-Wl,--as-needed

%:
	dh $@ --sourcedir=source 

override_dh_auto_install:
	dh_auto_install
	install -d $(CURDIR)/debian/zita-mu1/usr/share/applications/
	install -d $(CURDIR)/debian/zita-mu1/usr/share/pixmaps/
	install -m 644 $(CURDIR)/debian/zita-mu1.desktop $(CURDIR)/debian/zita-mu1/usr/share/applications/
	install -m 644 $(CURDIR)/debian/zita-mu1.xpm $(CURDIR)/debian/zita-mu1/usr/share/pixmaps/

## zita-mu1 0.2.2

=== source/Makefile ===
# ----------------------------------------------------------------------------
#
#  Copyright (C) 2010-2015 Fons Adriaensen <fons@linuxaudio.org>
#    
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# ----------------------------------------------------------------------------


PROGRAM = zita-mu1
VERSION = 0.2.2

SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
PREFIX ?= /usr/local
BINDIR ?= $(PREFIX)/bin
LIBDIR ?= lib$(SUFFIX)

SHARED = $(PREFIX)/share/$(PROGRAM)
CPPFLAGS += -Wall -MMD -MP -DPROGRAM=\"$(PROGRAM)\" -DVERSION=\"$(VERSION)\" -DSHARED=\"$(SHARED)\"
CXXFLAGS += -O2 -march=native
LDFLAGS += -L$(PREFIX)/$(LIBDIR)


all:	zita-mu1


ZITA-MU1_O = zita-mu1.o styles.o mainwin.o jclient.o png2img.o button.o rotary.o guiclass.o \
	kmeter.o cmeter.o kmeterdsp.o cmeterdsp.o 

zita-mu1:	CPPFLAGS += -I/usr/include/freetype2
zita-mu1:	LDLIBS += -lsndfile -lclxclient -lclthreads -ljack -lpthread -lcairo -lpng -lXft -lX11 -lrt
zita-mu1:	LDFLAGS += -L/usr/X11R6/lib
zita-mu1:	$(ZITA-MU1_O)
	g++ $(LDFLAGS) -o $@ $(ZITA-MU1_O) $(LDLIBS)

$(ZITA-MU1_O):
-include $(ZITA-MU1_O:%.o=%.d)


install:	all
	install -Dm 755 zita-mu1 $(DESTDIR)$(BINDIR)
	install -Dm 644 ../share/*.png $(DESTDIR)$(SHARED)


uninstall:
	/bin/rm -f  $(DESTDIR)$(BINDIR)/zita-mu1
	/bin/rm -fr  $(DESTDIR)$(SHARED)


clean:
	/bin/rm -f *~ *.o *.a *.d *.so
	/bin/rm -f zita-mu1

=== debian/changelog ===
zita-mu1 (0.2.2-3) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.1.0.
    + Use HTTPS in the Format field of d/copyright.
  * Fix cross build failed.  Closes: #873506
    + Drop implicitly satisfied build dependency on binutils.
    + Make g++ substitutable in source/Makefile.
    Thanks to Helmut Grohne <helmut@subdivi.de> for the patch.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 29 Aug 2017 14:33:25 +0200

zita-mu1 (0.2.2-2) unstable; urgency=medium

  * Set dh/compat 10.
  * Update copyright file.
  * Sign tags.
  * Bump Standards.
  * Fix VCS fields.
  * Drop menu file.
  * Fix hardening.
  * Avoid useless linking.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 27 Dec 2016 16:02:53 +0100

zita-mu1 (0.2.2-1) unstable; urgency=medium

  * Bump Standards.
  * Build parallel.
  * Fix install.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 04 Sep 2015 07:57:14 +0200

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,16 @@
 Uploaders:
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- binutils,
- debhelper (>= 9),
+ debhelper (>= 10),
  libcairo2-dev,
  libclthreads-dev (>= 2.4.0),
  libclxclient-dev (>= 3.9.0),
  libjack-dev,
  libpng-dev,
  libsndfile1-dev
-Standards-Version: 3.9.4
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/zita-mu1.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/zita-mu1.git
+Standards-Version: 4.1.0
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/zita-mu1.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/zita-mu1.git
 Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/zita-mu1-doc/quickguide.html
 
 Package: zita-mu1

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,8 @@
 #!/usr/bin/make -f
-# -*- makefile -*-
 
-LDFLAGS+=-Wl,--as-needed
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
 	dh $@ --sourcedir=source

=== debian/watch ===
version=3

http://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html \
	zita-mu1-(.*)\.tar\.bz2

## zita-mu1 0.3.3

=== source/Makefile ===
# ----------------------------------------------------------------------------
#
#  Copyright (C) 2010-2018 Fons Adriaensen <fons@linuxaudio.org>
#    
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# ----------------------------------------------------------------------------


PREFIX ?= /usr/local
BINDIR ?= $(PREFIX)/bin
SHARED ?= $(PREFIX)/share/zita-mu1

VERSION = 0.3.3
CPPFLAGS += -MMD -MP -DVERSION=\"$(VERSION)\" -DSHARED=\"$(SHARED)\"
CXXFLAGS += -O2 -Wall -ffast-math -pthread
CXXFLAGS += -march=native


all:	zita-mu1


ZITA-MU1_O = zita-mu1.o styles.o mainwin.o jclient.o png2img.o button.o rotary.o guiclass.o \
	kmeter.o cmeter.o kmeterdsp.o cmeterdsp.o 

zita-mu1:	CPPFLAGS += $(shell pkgconf --cflags freetype2)
zita-mu1:	LDLIBS += -lclxclient -lclthreads -ljack -lpthread -lcairo -lpng -lXft -lX11 -lrt
zita-mu1:	$(ZITA-MU1_O)
	$(CXX) $(LDFLAGS) -o $@ $(ZITA-MU1_O) $(LDLIBS)

$(ZITA-MU1_O):
-include $(ZITA-MU1_O:%.o=%.d)


install:	all
	install -d $(DESTDIR)$(BINDIR)
	install -d $(DESTDIR)$(SHARED)
	install -m 755 zita-mu1 $(DESTDIR)$(BINDIR)
	install -m 644 ../share/*.png $(DESTDIR)$(SHARED)


uninstall:
	/bin/rm -f  $(DESTDIR)$(BINDIR)/zita-mu1
	/bin/rm -fr  $(DESTDIR)$(SHARED)


clean:
	/bin/rm -f *~ *.o *.a *.d *.so
	/bin/rm -f zita-mu1

=== debian/changelog ===
zita-mu1 (0.3.3-2) unstable; urgency=medium

  * Add a bigger icon
  * Fix FTCBFS: Pass a triplet-prefixed pkg-config (Closes: #958097)
  * d/control:
    + Set RRR: no
    + Bump dh-compat to 13
    + Bump S-V to 4.5.0
    + Add me as uploader
  * Use install file for installation, no need to override auto install
  * d/rules:
    + Use -Dsource
    + Set prefix in d/rules and not in patch
    + d/rules: Remove -Wl,--as-needed ldflags

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 10 Aug 2020 20:16:46 +0200

zita-mu1 (0.3.3-1) unstable; urgency=medium

  * Team upload

  [ Felipe Sateler ]
  * d/control: change maintainer address to debian-multimedia@lists.debian.org.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org.
  * Use debhelper-compat instead of debian/compat

  [ Olivier Humbert ]
  * d/ebumeter.desktop: add a French translation for the menu item and comment.
  * d/copyright: add myself in the debian section.
  * http > https in d/control, d/copyright and d/watch

  [ Dennis Braun ]
  * New upstream version
  * d/control:
    + Bump debhelper-compat to 12
    + Bump standards version to 4.4.1
    + Add libfreetype6-dev and pkg-config to Build-Depends
  * d/copyright: License switched to GPL-3+, update year and add myself
  * d/source/local-options: Drop, obsolete
  * d/zita-mu1.manpages: Fix path
  * Update patchset

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 20 Jan 2020 21:54:42 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,25 @@
 Source: zita-mu1
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
+ Dennis Braun <d_braun@kabelmail.de>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 13),
  libcairo2-dev,
  libclthreads-dev (>= 2.4.0),
  libclxclient-dev (>= 3.9.0),
+ libfreetype6-dev,
  libjack-dev,
  libpng-dev,
- libsndfile1-dev
-Standards-Version: 4.1.0
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/zita-mu1.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/zita-mu1.git
-Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/zita-mu1-doc/quickguide.html
+ libsndfile1-dev,
+ pkg-config
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
+Vcs-Git: https://salsa.debian.org/multimedia-team/zita-mu1.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/zita-mu1
+Homepage: https://kokkinizita.linuxaudio.org/linuxaudio/zita-mu1-doc/quickguide.html
 
 Package: zita-mu1
 Architecture: any

=== debian/watch ===
version=3

https://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html \
	zita-mu1-(.*)\.tar\.bz2
